Skip to main content
GET
/
v1
/
jobs
/
runs
/
{run_id}
/
artifacts
/
{artifact_id}
/
download-url
Get Run Artifact Download URL
curl --request GET \
  --url https://sdk.nimbleway.com/v1/jobs/runs/{run_id}/artifacts/{artifact_id}/download-url \
  --header 'Authorization: Bearer <token>'
{
  "url": "<string>",
  "expires_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

run_id
string
required
artifact_id
string
required

Cookies

token
string | null

Response

Successful Response

A pre-signed URL for downloading an artifact.

url
string
required

Pre-signed URL to download the artifact.

expires_at
string<date-time>
required

When the download URL expires.